{% load alarme_utils client_utils l10n %}
<div class="card mb-3 app-card">
    {% with client=mission.client %}
    <div class="card-header">
        {{ mission.type_mission }}
        {% if client %} pour <b>{% if link_client %}<a href="{% url 'benevole-client-edit' client.pk %}">{% endif %}{{ client }}{% if link_client %}</a>{% endif %}</b> <small>({{ client.date_naissance.year }})</small><br>
        <div class="text-end"><small>{{ client.tel_1|as_tel }} {% if client.tel_2 %}<br>{{ client.tel_2|as_tel }}{% endif %}</small>
        {% endif %}</div>
    </div>

    {% bandeau_absence client.presence_actuelle %}
    {% if client.date_resiliation %}
        <div class="alert alert-danger">Résiliation pour le {{ client.date_resiliation|date:'d.m.Y' }}</div>
    {% endif %}

    <div class="card-body">
        {% if client %}
        <div class="row">
            <div class="col-4">Adresse</div>
            <div class="col-8">
                {{ client.rue }}{% if client.etage %} <i>(Étage/niveau : {{ client.etage }})</i>{% endif %}
                <br>
                {{ client.npa }} {{ client.localite }}
            </div>
        </div>
        {% endif %}
        {% if mission.description %}
        <div class="row">
            <div class="col-4">Description</div>
            <div class="col-8">
                {% if mission.alarme %}
                    Appareil: {{ mission.alarme }} {% if mission.abonnement %}({{ mission.abonnement }}){% endif %}<br>
                {% endif %}
                {{ mission.description }}
            </div>
        </div>
        {% endif %}
        {% if client and not mission.alarme %}
            {% with install=client.derniere_alarme %}{% if install %}
            <div class="row">
                <div class="col-4">Appareil</div>
                <div class="col-8">
                    {{ install.alarme }} ({{ install.abonnement }})
                </div>
            </div>
            {% endif %}{% endwith %}
        {% endif %}
        {% if not mission.effectuee and mission.delai %}
        <div class="row">
            <div class="col-4">Délai</div>
            <div class="col-8">{{ mission.delai|date_delai }}</div>
        </div>
        {% endif %}
        {% if client and client.remarques_ext %}
        <div class="row">
            <div class="col-4">Remarques</div>
            <div class="col-8">{{ client.remarques_ext|linebreaksbr }}</div>
        </div>
        {% endif %}
        {% if mode == 'planif' %}
            <div class="row">
                <div class="col-4">Planifiée le</div>
                <div class="col-8">{{ mission.planifiee|date:'d.m.Y'|default:'-' }}</div>
            </div>
            {% if client.spec_alarme %}
            <div class="row">
                <div class="col-4"></div><div class="col-8"><i>{{ client.spec_alarme }}</i></div>
            </div>
            {% endif %}
            <button class="btn btn-primary w-100 openmodal" data-modalurl="{% url 'benevole-mission-edit' mission.pk %}"
                    title="Modifier l’intervention">Modifier</button>
        {% elif mode == 'aprendre' %}
            <button type="submit" class="btn btn-primary w-100" formaction="{% url 'benevole-attribuer' mission.pk %}"
            title="Je me charge de cette intervention"
            data-confirm="Souhaitez-vous réellement vous occuper de cette intervention ?">Je prends !</button>
        {% else %}
            <div class="app-rapport d-flex">
                <div class="w-100">
                    <div class="row">
                        <div class="col-6 ps-3 pe-0 text-end">Km:</div>
                        <div class="col-6">{{ mission.km|default_if_none:'0' }}</div>
                    </div>
                    <div class="row">
                        <div class="col-6 ps-3 pe-0 text-end">Frais:</div>
                        <div class="col-6">
                            {% for frais in mission.frais.all %}
                            <div>{{ frais.descriptif }} : CHF {{ frais.cout|unlocalize }}</div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6 ps-3 pe-0 text-end">Durée (avec client):</div>
                        <div class="col-6">{{ mission.duree_client|default_if_none:'-'|strip_seconds }}</div>
                    </div>
                    <div class="row">
                        <div class="col-6 ps-3 pe-0 text-end">Durée (sans client):</div>
                        <div class="col-6">{{ mission.duree_seul|default_if_none:'-'|strip_seconds }}</div>
                    </div>
                </div>
                {% if mission|can_edit:user %}
                <div class="col-1 pe-0 ps-0 ms-auto">
                    <a class="btn btn-light w-100 h-100 pe-1 ps-1 openmodal"
                       href="{% if client %}{% url 'benevole-mission-edit' mission.pk %}{% else %}{% url 'benevole-mission-sans-client-edit' mission.pk %}{% endif %}?next={% url 'benevole-archives' %}">
                        <img src="{% static 'img/edit.svg' %}" class="icon h-100" title="Modifier">
                    </a>
                </div>
                {% endif %}
            </div>
        {% endif %}
    </div>
    {% endwith %}
</div>
